Bug 497222 - package needs fixing for strict-aliasing
package needs fixing for strict-aliasing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgeotiff (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 16:39 EDT by Milos Jakubicek
Modified: 2010-03-18 02:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 02:12:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Jakubicek 2009-04-22 16:39:41 EDT
Description of problem:

As Fedora packages are compiled with -O2, libgeotiff prints during the build following warnings which may cause unpredictable behaviour:

./geo_new.c:242: warning: dereferencing type-punned pointer will break strict-aliasing rules
./geo_print.c:492: warning: dereferencing pointer 'sptr' does break strict-aliasing rules
./geo_write.c:135: warning: dereferencing type-punned pointer will break strict-aliasing rules

For more information about this problem, read e. g. http://www.ethereal.com/lists/ethereal-dev/200309/msg00342.html.

Version-Release number of selected component (if applicable):

libgeotiff-1.2.5-4.fc11
Comment 1 Bug Zapper 2009-06-09 10:26:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Balint Cristian 2010-03-18 02:12:34 EDT
- i use this lib in all intrinsics, no bug showed up or any data coruption.
- however i propose upstream a solution to get rid of warns.

Note You need to log in before you can comment on or make changes to this bug.